Subject: [quicwg/base-drafts] 9d20ea: Make the ECN requirements match the the discussion...

From: Martin Thomson <[email-masked]>
Date: Tue, 18 Dec 2018 15:25:05 -0800

Branch: refs/heads/master
  Home:   https://github.com/quicwg/base-drafts
  Commit: 9d20ea501c0c72ffe593af6179ebbdad9d2abf87
      https://github.com/quicwg/base-drafts/commit/9d20ea501c0c72ffe593af6179ebbdad9d2abf87
  Author: EKR <[email-masked]>
  Date:   2018-12-17 (Mon, 17 Dec 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Make the ECN requirements match the the discussion in #2156. Fixes #2156

1. Implementations are free to enable sending or not.
2, Implementations MAY read the ECN code points if they
   can and send ECN ACKs.
3. Implementations MUST accept the 0x03 ACK type and if they are
   sending ECN SHOULD use the ECN section.

I recognize that some people want to have stronger language here, based
on this discussion I think this is where we are. I'll defer to the
chairs to judge whether more is needed here and can change the PR as
required.

  Commit: 029d7294a27ff24dd6f027bba50feb0b289b871f
      https://github.com/quicwg/base-drafts/commit/029d7294a27ff24dd6f027bba50feb0b289b871f
  Author: Martin Thomson <[email-masked]>
  Date:   2018-12-19 (Wed, 19 Dec 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  SHOULD ECN

  Commit: 81997cff08fd13b598b532cfb9adb83ef27089b9
      https://github.com/quicwg/base-drafts/commit/81997cff08fd13b598b532cfb9adb83ef27089b9
  Author: Martin Thomson <[email-masked]>
  Date:   2018-12-18 (Tue, 18 Dec 2018)

  Changed paths:
    M draft-ietf-quic-qpack.md
    M draft-ietf-quic-recovery.md
    M draft-ietf-quic-tls.md
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge branch 'master' into ecn_reqs

  Commit: 2941ecca0823f0f6fcda1930bd120824f616841d
      https://github.com/quicwg/base-drafts/commit/2941ecca0823f0f6fcda1930bd120824f616841d
  Author: janaiyengar <[email-masked]>
  Date:   2018-12-18 (Tue, 18 Dec 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  editorial nit

  Commit: 4d7ec17e12cacc79665388837f4fc9d485a8d121
      https://github.com/quicwg/base-drafts/commit/4d7ec17e12cacc79665388837f4fc9d485a8d121
  Author: Martin Thomson <[email-masked]>
  Date:   2018-12-18 (Tue, 18 Dec 2018)

  Changed paths:
    M draft-ietf-quic-transport.md

  Log Message:
  -----------
  Merge pull request #2201 from ekr/ecn_reqs

Make the ECN requirements match the the discussion in #2156. Fixes #2156

Compare: https://github.com/quicwg/base-drafts/compare/16d116db3124...4d7ec17e12ca
      **NOTE:** This service has been marked for deprecation: https://developer.github.com/changes/2018-04-25-github-services-deprecation/

      Functionality will be removed from GitHub.com on January 31st, 2019.